HTTP::Server::PSGI(3)

NAME
HTTP::Server::PSGI - Standalone PSGI compatible HTTP server

SYNOPSIS
  use HTTP::Server::PSGI;

  my $server = HTTP::Server::PSGI->new(
      host => "127.0.0.1",
      port => 9091,
      timeout => 120,
  );

  $server->run($app);

DESCRIPTION
HTTP::Server::PSGI is a standalone, single-process and PSGI compatible HTTP server implementations.

This server should be great for the development and testing, but might not be suitable for a production use.

Some features in HTTP/1.1, notably chunked requests, responses and pipeline requests are NOT supported. See Starman if you want those features.

PREFORKING
HTTP::Server::PSGI does NOT support preforking. See Starman or Starlet if you want a multi-process prefork web servers.

AUTHOR
Kazuho Oku

Tatsuhiko Miyagawa

SEE ALSO
Plack::Handler::Standalone Starman Starlet